Help us improve by taking our short survey: https://www.hdfgroup.org/website-survey/

| HDF5 Last Updated on 2025-11-11 The HDF5 Field Guide

- Main Page
- Getting started
- User Guide
- Reference Manual
- Cookbook
- Technical Notes
- RFCs
- Specifications
- Glossary
- Full-Text Search
- About

Loading...
Searching...
No Matches
Functions
Java Datatype (H5T) Interface

## Detailed Description

See also
  Datatypes (H5T), C-API
  HDF5 Datatypes, User Guide

## Functions
static long | H5Tarray_create (long base_id, int ndims, long[] dim) throws HDF5LibraryException, NullPointerException
static int | H5Tclose (long type_id) throws HDF5LibraryException
static synchronized native void | H5Tcommit (long loc_id, String name, long type_id, long lcpl_id, long tcpl_id, long tapl_id) throws HDF5LibraryException, NullPointerException
static synchronized native void | H5Tcommit_anon (long loc_id, long type_id, long tcpl_id, long tapl_id) throws HDF5LibraryException
static synchronized native boolean | H5Tcommitted (long type_id) throws HDF5LibraryException
static synchronized native void | H5Tcompiler_conv (long src_id, long dst_id) throws HDF5LibraryException
static long | H5Tcomplex_create (long base_id) throws HDF5LibraryException
static synchronized native void | H5Tconvert (long src_id, long dst_id, long nelmts, byte[] buf, byte[] background, long plist_id) throws HDF5LibraryException, NullPointerException
static long | H5Tcopy (long type_id) throws HDF5LibraryException
static long | H5Tcreate (int tclass, long size) throws HDF5LibraryException
static long | H5Tdecode (byte[] buf, long buf_size) throws HDF5LibraryException, NullPointerException
static synchronized native boolean | H5Tdetect_class (long type_id, int cls) throws HDF5LibraryException
static synchronized native int | H5Tencode (long obj_id, byte[] buf, long nalloc) throws HDF5LibraryException, NullPointerException
static long | H5Tenum_create (long base_id) throws HDF5LibraryException
static synchronized native void | H5Tenum_insert (long type, String name, byte[] value) throws HDF5LibraryException, NullPointerException
static int | H5Tenum_insert (long type, String name, int value) throws HDF5LibraryException, NullPointerException
static int | H5Tenum_insert (long type, String name, int[] value) throws HDF5LibraryException, NullPointerException
static synchronized native String | H5Tenum_nameof (long type, byte[] value, long size) throws HDF5LibraryException, NullPointerException
static int | H5Tenum_nameof (long type, int[] value, String[] name, int size) throws HDF5LibraryException, NullPointerException
static synchronized native void | H5Tenum_valueof (long type, String name, byte[] value) throws HDF5LibraryException, NullPointerException
static int | H5Tenum_valueof (long type, String name, int[] value) throws HDF5LibraryException, NullPointerException
static synchronized native boolean | H5Tequal (long type_id1, long type_id2) throws HDF5LibraryException
static synchronized native void | H5Tflush (long dtype_id) throws HDF5LibraryException
static int | H5Tget_array_dims (long type_id, long[] dims) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Tget_array_dims2 (long type_id, long[] dims) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Tget_array_ndims (long type_id) throws HDF5LibraryException
static synchronized native int | H5Tget_class (long type_id) throws HDF5LibraryException
static String | H5Tget_class_name (long class_id)
static long | H5Tget_create_plist (long type_id) throws HDF5LibraryException
static synchronized native int | H5Tget_cset (long type_id) throws HDF5LibraryException
static synchronized native int | H5Tget_ebias (long type_id) throws HDF5LibraryException
static synchronized native long | H5Tget_ebias_long (long type_id) throws HDF5LibraryException
static int | H5Tget_fields (long type_id, int[] fields) throws HDF5LibraryException, NullPointerException, IllegalArgumentException
static synchronized native void | H5Tget_fields (long type_id, long[] fields) throws HDF5LibraryException, NullPointerException, IllegalArgumentException
static synchronized native int | H5Tget_inpad (long type_id) throws HDF5LibraryException
static synchronized native int | H5Tget_member_class (long type_id, int membno) throws HDF5LibraryException
static synchronized native int | H5Tget_member_index (long type_id, String field_name) throws HDF5LibraryException
static synchronized native String | H5Tget_member_name (long type_id, int field_idx) throws HDF5LibraryException
static synchronized native long | H5Tget_member_offset (long type_id, int membno)
static long | H5Tget_member_type (long type_id, int field_idx) throws HDF5LibraryException
static synchronized native void | H5Tget_member_value (long type_id, int membno, byte[] value) throws HDF5LibraryException, NullPointerException
static int | H5Tget_member_value (long type_id, int membno, int[] value) throws HDF5LibraryException, NullPointerException
static synchronized long | H5Tget_native_type (long type_id) throws HDF5LibraryException
static long | H5Tget_native_type (long type_id, int direction) throws HDF5LibraryException
static synchronized native int | H5Tget_nmembers (long type_id) throws HDF5LibraryException
static synchronized native int | H5Tget_norm (long type_id) throws HDF5LibraryException
static synchronized native int | H5Tget_offset (long type_id) throws HDF5LibraryException
static synchronized native int | H5Tget_order (long type_id) throws HDF5LibraryException
static synchronized native int | H5Tget_pad (long type_id, int[] pad) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Tget_precision (long type_id) throws HDF5LibraryException
static synchronized native long | H5Tget_precision_long (long type_id) throws HDF5LibraryException
static synchronized native int | H5Tget_sign (long type_id) throws HDF5LibraryException
static synchronized native long | H5Tget_size (long type_id) throws HDF5LibraryException
static synchronized native int | H5Tget_strpad (long type_id) throws HDF5LibraryException
static long | H5Tget_super (long type) throws HDF5LibraryException
static synchronized native String | H5Tget_tag (long type) throws HDF5LibraryException
static synchronized native int | H5Tinsert (long type_id, String name, long offset, long field_id) throws HDF5LibraryException, NullPointerException
static synchronized native boolean | H5Tis_variable_str (long type_id) throws HDF5LibraryException
static synchronized native int | H5Tlock (long type_id) throws HDF5LibraryException
static long | H5Topen (long loc_id, String name, long tapl_id) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Tpack (long type_id) throws HDF5LibraryException
static synchronized native void | H5Treclaim (long type_id, long space_id, long xfer_plist_id, byte[] buf) throws HDF5LibraryException, NullPointerException
static synchronized native void | H5Trefresh (long dtype_id) throws HDF5LibraryException
static synchronized native int | H5Tset_cset (long type_id, int cset) throws HDF5LibraryException
static int | H5Tset_ebias (long type_id, int ebias) throws HDF5LibraryException
static synchronized native void | H5Tset_ebias (long type_id, long ebias) throws HDF5LibraryException
static int | H5Tset_fields (long type_id, int spos, int epos, int esize, int mpos, int msize) throws HDF5LibraryException
static synchronized native void | H5Tset_fields (long type_id, long spos, long epos, long esize, long mpos, long msize) throws HDF5LibraryException
static synchronized native int | H5Tset_inpad (long type_id, int inpad) throws HDF5LibraryException
static synchronized native int | H5Tset_norm (long type_id, int norm) throws HDF5LibraryException
static int | H5Tset_offset (long type_id, int offset) throws HDF5LibraryException
static synchronized native void | H5Tset_offset (long type_id, long offset) throws HDF5LibraryException
static synchronized native int | H5Tset_order (long type_id, int order) throws HDF5LibraryException
static synchronized native int | H5Tset_pad (long type_id, int lsb, int msb) throws HDF5LibraryException
static int | H5Tset_precision (long type_id, int precision) throws HDF5LibraryException
static synchronized native void | H5Tset_precision (long type_id, long precision) throws HDF5LibraryException
static synchronized native int | H5Tset_sign (long type_id, int sign) throws HDF5LibraryException
static synchronized native int | H5Tset_size (long type_id, long size) throws HDF5LibraryException
static synchronized native int | H5Tset_strpad (long type_id, int strpad) throws HDF5LibraryException
static synchronized native int | H5Tset_tag (long type, String tag) throws HDF5LibraryException
static long | H5Tvlen_create (long base_id) throws HDF5LibraryException

## Function Documentation

## ◆ H5Tarray_create()

static long H5Tarray_create | ( | long | base_id,
|  | int | ndims,
|  | long[] | dim ) throws HDF5LibraryException, NullPointerException
| static

H5Tarray_create creates a new array datatype object.

Parameters

  base_id | IN: Datatype identifier for the array base datatype.
  ndims | IN: Rank of the array.
  dim | IN: Size of each array dimension.

Returns
  a valid datatype identifier

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | dim is null.

## ◆ H5Tclose()

static int H5Tclose | ( | long | type_id | ) | throws HDF5LibraryException
| static

H5Tclose releases a datatype.

Parameters

  type_id | IN: Identifier of datatype to release.

Returns
  a non-negative value if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Tcommit()

static synchronized native void H5Tcommit | ( | long | loc_id,
|  | String | name,
|  | long | type_id,
|  | long | lcpl_id,
|  | long | tcpl_id,
|  | long | tapl_id ) throws HDF5LibraryException, NullPointerException
| static

H5Tcommit saves a transient datatype as an immutable named datatype in a file.

Parameters

  loc_id | IN: Location identifier.
  name | IN: Name given to committed datatype.
  type_id | IN: Identifier of datatype to be committed.
  lcpl_id | IN: Link creation property list.
  tcpl_id | IN: Datatype creation property list.
  tapl_id | IN: Datatype access property list.

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | name is null.

## ◆ H5Tcommit_anon()

static synchronized native void H5Tcommit_anon | ( | long | loc_id,
|  | long | type_id,
|  | long | tcpl_id,
|  | long | tapl_id ) throws HDF5LibraryException
| static

H5Tcommit_anon commits a transient datatype (not immutable) to a file, turning it into a named datatype with the specified creation and property lists.

Parameters

  loc_id | IN: Location identifier.
  type_id | IN: Identifier of datatype to be committed.
  tcpl_id | IN: Datatype creation property list.
  tapl_id | IN: Datatype access property list.

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Tcommitted()

static synchronized native boolean H5Tcommitted | ( | long | type_id | ) | throws HDF5LibraryException
| static

H5Tcommitted queries a type to determine whether the type specified by the type identifier is a named type or a transient type.

Parameters

  type_id | IN: Identifier of datatype.

Returns
  true the datatype has been committed

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Tcompiler_conv()

static synchronized native void H5Tcompiler_conv | ( | long | src_id,
|  | long | dst_id ) throws HDF5LibraryException
| static

H5Tcompiler_conv finds out whether the library's conversion function from type src_id to type dst_id is a compiler (hard) conversion.

Parameters

  src_id | IN: Identifier of source datatype.
  dst_id | IN: Identifier of destination datatype.

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Tcomplex_create()

static long H5Tcomplex_create | ( | long | base_id | ) | throws HDF5LibraryException
| static

H5Tcomplex_create creates a new complex number datatype object.

Parameters

  base_id | IN: Datatype identifier for the complex number base datatype. Must be a floating-point datatype.

Returns
  a valid datatype identifier

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Tconvert()

static synchronized native void H5Tconvert | ( | long | src_id,
|  | long | dst_id,
|  | long | nelmts,
|  | byte[] | buf,
|  | byte[] | background,
|  | long | plist_id ) throws HDF5LibraryException, NullPointerException
| static

H5Tconvert converts nelmts elements from the type specified by the src_id identifier to type dst_id.

Parameters

  src_id | IN: Identifier of source datatype.
  dst_id | IN: Identifier of destination datatype.
  nelmts | IN: Size of array buf.
  buf | IN: Array containing pre- and post-conversion values.
  background | IN: Optional background buffer.
  plist_id | IN: Dataset transfer property list identifier.

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | buf is null.

## ◆ H5Tcopy()

static long H5Tcopy | ( | long | type_id | ) | throws HDF5LibraryException
| static

H5Tcopy copies an existing datatype. The returned type is always transient and unlocked.

Parameters

  type_id | IN: Identifier of datatype to copy. Can be a datatype identifier, a predefined datatype (defined in H5Tpublic.h), or a dataset Identifier.

Returns
  a datatype identifier if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Tcreate()

static long H5Tcreate | ( | int | tclass,
|  | long | size ) throws HDF5LibraryException
| static

H5Tcreate creates a new datatype of the specified class with the specified number of bytes.

Parameters

  tclass | IN: Class of datatype to create.
  size | IN: The number of bytes in the datatype to create.

Returns
  datatype identifier

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Tdecode()

static long H5Tdecode | ( | byte[] | buf,
|  | long | buf_size ) throws HDF5LibraryException, NullPointerException
| static

H5Tdecode reconstructs the HDF5 data type object and returns a new object handle for it.

Parameters

  buf | IN: Buffer for the data type object to be decoded.
  buf_size | IN: Size of the buffer.

Returns
  a new object handle

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | buf is null.

## ◆ H5Tdetect_class()

static synchronized native boolean H5Tdetect_class | ( | long | type_id,
|  | int | cls ) throws HDF5LibraryException
| static

H5Tdetect_class determines whether the datatype specified in dtype_id contains any datatypes of the datatype class specified in dtype_class.

Parameters

  type_id | IN: Identifier of datatype to query.
  cls | IN: Identifier of datatype cls.

Returns
  true if the datatype specified in dtype_id contains any datatypes of the datatype class

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Tencode()

static synchronized native int H5Tencode | ( | long | obj_id,
|  | byte[] | buf,
|  | long | nalloc ) throws HDF5LibraryException, NullPointerException
| static

H5Tencode converts a data type description into binary form in a buffer.

Parameters

  obj_id | IN: Identifier of the object to be encoded.
  buf | OUT: Buffer for the object to be encoded into. If the provided buffer is NULL, only the size of buffer needed is returned.
  nalloc | IN: The size of the allocated buffer.

Returns
  the size needed for the allocated buffer.

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | buf is null.

## ◆ H5Tenum_create()

static long H5Tenum_create | ( | long | base_id | ) | throws HDF5LibraryException
| static

H5Tenum_create creates a new enumeration datatype based on the specified base datatype, parent_id, which must be an integer type.

Parameters

  base_id | IN: Identifier of the parent datatype to release.

Returns
  the datatype identifier for the new enumeration datatype

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Tenum_insert() [1/3]

static synchronized native void H5Tenum_insert | ( | long | type,
|  | String | name,
|  | byte[] | value ) throws HDF5LibraryException, NullPointerException
| static

H5Tenum_insert inserts a new enumeration datatype member into an enumeration datatype.

Parameters

  type | IN: Identifier of datatype.
  name | IN: The name of the member
  value | IN: The value of the member, data of the correct type

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | name is null.

## ◆ H5Tenum_insert() [2/3]

static int H5Tenum_insert | ( | long | type,
|  | String | name,
|  | int | value ) throws HDF5LibraryException, NullPointerException
| static

H5Tenum_insert inserts a new enumeration datatype member into an enumeration datatype.

Parameters

  type | IN: Identifier of datatype.
  name | IN: The name of the member
  value | IN: The value of the member, data of the correct type

Returns
  a non-negative value if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | name is null.

## ◆ H5Tenum_insert() [3/3]

static int H5Tenum_insert | ( | long | type,
|  | String | name,
|  | int[] | value ) throws HDF5LibraryException, NullPointerException
| static

H5Tenum_insert inserts a new enumeration datatype member into an enumeration datatype.

Parameters

  type | IN: Identifier of datatype.
  name | IN: The name of the member
  value | IN: The value of the member, data of the correct type

Returns
  a non-negative value if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | name is null.

## ◆ H5Tenum_nameof() [1/2]

static synchronized native String H5Tenum_nameof | ( | long | type,
|  | byte[] | value,
|  | long | size ) throws HDF5LibraryException, NullPointerException
| static

H5Tenum_nameof finds the symbol name that corresponds to the specified value of the enumeration datatype type.

Parameters

  type | IN: Identifier of datatype.
  value | IN: The value of the member, data of the correct
  size | IN: The probable length of the name

Returns
  the symbol name.

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | value is null.

## ◆ H5Tenum_nameof() [2/2]

static int H5Tenum_nameof | ( | long | type,
|  | int[] | value,
|  | String[] | name,
|  | int | size ) throws HDF5LibraryException, NullPointerException
| static

H5Tenum_nameof finds the symbol name that corresponds to the specified value of the enumeration datatype type.

Parameters

  type | IN: Identifier of datatype.
  value | IN: The value of the member, data of the correct
  name | OUT: The name of the member
  size | IN: The max length of the name

Returns
  a non-negative value if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | name is null.

## ◆ H5Tenum_valueof() [1/2]

static synchronized native void H5Tenum_valueof | ( | long | type,
|  | String | name,
|  | byte[] | value ) throws HDF5LibraryException, NullPointerException
| static

H5Tenum_valueof finds the value that corresponds to the specified name of the enumeration datatype type.

Parameters

  type | IN: Identifier of datatype.
  name | IN: The name of the member
  value | OUT: The value of the member

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Tenum_valueof() [2/2]

static int H5Tenum_valueof | ( | long | type,
|  | String | name,
|  | int[] | value ) throws HDF5LibraryException, NullPointerException
| static

H5Tenum_valueof finds the value that corresponds to the specified name of the enumeration datatype type.

Parameters

  type | IN: Identifier of datatype.
  name | IN: The name of the member
  value | OUT: The value of the member

Returns
  a non-negative value if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | name is null.

## ◆ H5Tequal()

static synchronized native boolean H5Tequal | ( | long | type_id1,
|  | long | type_id2 ) throws HDF5LibraryException
| static

H5Tequal determines whether two datatype identifiers refer to the same datatype.

Parameters

  type_id1 | IN: Identifier of datatype to compare.
  type_id2 | IN: Identifier of datatype to compare.

Returns
  true if the datatype identifiers refer to the same datatype, else false.

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Tflush()

static synchronized native void H5Tflush | ( | long | dtype_id | ) | throws HDF5LibraryException
| static

H5Tflush causes all buffers associated with a committed datatype to be immediately flushed to disk without removing the data from the cache.

Parameters

  dtype_id | IN: Identifier of the committed datatype to be flushed.

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Tget_array_dims()

static int H5Tget_array_dims | ( | long | type_id,
|  | long[] | dims ) throws HDF5LibraryException, NullPointerException
| static

H5Tget_array_dims returns the sizes of the dimensions of the specified array datatype object.

Parameters

  type_id | IN: Datatype identifier of array object.
  dims | OUT: Sizes of array dimensions.

Returns
  the non-negative number of dimensions of the array type

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | dims is null.

## ◆ H5Tget_array_dims2()

static synchronized native int H5Tget_array_dims2 | ( | long | type_id,
|  | long[] | dims ) throws HDF5LibraryException, NullPointerException
| static

H5Tget_array_dims2 returns the sizes of the dimensions of the specified array datatype object.

Parameters

  type_id | IN: Datatype identifier of array object.
  dims | OUT: Sizes of array dimensions.

Returns
  the non-negative number of dimensions of the array type

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | dims is null.

## ◆ H5Tget_array_ndims()

static synchronized native int H5Tget_array_ndims | ( | long | type_id | ) | throws HDF5LibraryException
| static

H5Tget_array_ndims returns the rank, the number of dimensions, of an array datatype object.

Parameters

  type_id | IN: Datatype identifier of array object.

Returns
  the rank of the array

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Tget_class()

static synchronized native int H5Tget_class | ( | long | type_id | ) | throws HDF5LibraryException
| static

H5Tget_class returns the datatype class identifier.

Parameters

  type_id | IN: Identifier of datatype to query.

Returns
  datatype class identifier if successful; otherwise H5T_NO_CLASS(-1).

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Tget_class_name()

static String H5Tget_class_name | ( | long | class_id | ) |
| static

H5Tget_class_name returns the datatype class identifier.

Parameters

  class_id | IN: Identifier of class from H5Tget_class.

Returns
  class name if successful; otherwise H5T_NO_CLASS.

## ◆ H5Tget_create_plist()

static long H5Tget_create_plist | ( | long | type_id | ) | throws HDF5LibraryException
| static

H5Tget_create_plist returns a property list identifier for the datatype creation property list associated with the datatype specified by type_id.

Parameters

  type_id | IN: Identifier of datatype.

Returns
  a datatype property list identifier.

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Tget_cset()

static synchronized native int H5Tget_cset | ( | long | type_id | ) | throws HDF5LibraryException
| static

H5Tget_cset retrieves the character set type of a string datatype.

Parameters

  type_id | IN: Identifier of datatype to query.

Returns
  a valid character set type if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Tget_ebias()

static synchronized native int H5Tget_ebias | ( | long | type_id | ) | throws HDF5LibraryException
| static

H5Tget_ebias retrieves the exponent bias of a floating-point type.

Parameters

  type_id | Identifier of datatype to query.

Returns
  the bias if successful; otherwise 0.

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Tget_ebias_long()

static synchronized native long H5Tget_ebias_long | ( | long | type_id | ) | throws HDF5LibraryException
| static

H5Tget_ebias retrieves the exponent bias of a floating-point type.

Parameters

  type_id | IN: Identifier of datatype to query.

Returns
  the bias

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Tget_fields() [1/2]

static int H5Tget_fields | ( | long | type_id,
|  | int[] | fields ) throws HDF5LibraryException, NullPointerException, IllegalArgumentException
| static

H5Tget_fields retrieves information about the locations of the various bit fields of a floating point datatype.

Parameters

  type_id | IN: Identifier of datatype to query.
  fields | OUT: location of size and bit-position.

         fields[0] = spos  OUT: location to return size of in bits.
         fields[1] = epos  OUT: location to return exponent bit-position.
         fields[2] = esize OUT: location to return size of exponent in bits.
         fields[3] = mpos  OUT: location to return mantissa bit-position.
         fields[4] = msize OUT: location to return size of mantissa in bits.

Returns
  a non-negative value if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | fields is null.
  IllegalArgumentException | fields array is invalid.

## ◆ H5Tget_fields() [2/2]

static synchronized native void H5Tget_fields | ( | long | type_id,
|  | long[] | fields ) throws HDF5LibraryException, NullPointerException, IllegalArgumentException
| static

H5Tget_fields retrieves information about the locations of the various bit fields of a floating point datatype.

Parameters

  type_id | IN: Identifier of datatype to query.
  fields | OUT: location of size and bit-position. fields[0] = spos OUT: location to return size of in bits. fields[1] = epos OUT: location to return exponent bit-position. fields[2] = esize OUT: location to return size of exponent in bits. fields[3] = mpos OUT: location to return mantissa bit-position. fields[4] = msize OUT: location to return size of mantissa in bits.

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | fields is null.
  IllegalArgumentException | fields array is invalid.

## ◆ H5Tget_inpad()

static synchronized native int H5Tget_inpad | ( | long | type_id | ) | throws HDF5LibraryException
| static

H5Tget_inpad retrieves the internal padding type for unused bits in floating-point datatypes.

Parameters

  type_id | IN: Identifier of datatype to query.

Returns
  a valid padding type if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Tget_member_class()

static synchronized native int H5Tget_member_class | ( | long | type_id,
|  | int | membno ) throws HDF5LibraryException
| static

H5Tget_member_class returns the class of datatype of the specified member.

Parameters

  type_id | IN: Datatype identifier of compound object.
  membno | IN: Compound object member number.

Returns
  the class of the datatype of the field if successful;

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Tget_member_index()

static synchronized native int H5Tget_member_index | ( | long | type_id,
|  | String | field_name ) throws HDF5LibraryException
| static

H5Tget_member_index retrieves the index of a field of a compound datatype.

Parameters

  type_id | IN: Identifier of datatype to query.
  field_name | IN: Field name of the field index to retrieve.

Returns
  if field is defined, the index; else negative.

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Tget_member_name()

static synchronized native String H5Tget_member_name | ( | long | type_id,
|  | int | field_idx ) throws HDF5LibraryException
| static

H5Tget_member_name retrieves the name of a field of a compound datatype or an element of an enumeration datatype.

Parameters

  type_id | IN: Identifier of datatype to query.
  field_idx | IN: Field index (0-based) of the field name to retrieve.

Returns
  a valid pointer to the name if successful; otherwise null.

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Tget_member_offset()

static synchronized native long H5Tget_member_offset | ( | long | type_id,
|  | int | membno )
| static

H5Tget_member_offset returns the byte offset of the specified member of the compound datatype. This is the byte offset in the HDF5 file/library, NOT the offset of any Java object which might be mapped to this data item.

Parameters

  type_id | IN: Identifier of datatype to query.
  membno | IN: Field index (0-based) of the field type to retrieve.

Returns
  the offset of the member.

## ◆ H5Tget_member_type()

static long H5Tget_member_type | ( | long | type_id,
|  | int | field_idx ) throws HDF5LibraryException
| static

H5Tget_member_type returns the datatype of the specified member.

Parameters

  type_id | IN: Identifier of datatype to query.
  field_idx | IN: Field index (0-based) of the field type to retrieve.

Returns
  the identifier of a copy of the datatype of the field if successful;

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Tget_member_value() [1/2]

static synchronized native void H5Tget_member_value | ( | long | type_id,
|  | int | membno,
|  | byte[] | value ) throws HDF5LibraryException, NullPointerException
| static

H5Tget_member_value returns the value of the enumeration datatype member memb_no.

Parameters

  type_id | IN: Datatype identifier for the enumeration datatype.
  membno | IN: Number of the enumeration datatype member.
  value | OUT: The value of the member

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | value is null.

## ◆ H5Tget_member_value() [2/2]

static int H5Tget_member_value | ( | long | type_id,
|  | int | membno,
|  | int[] | value ) throws HDF5LibraryException, NullPointerException
| static

H5Tget_member_value returns the value of the enumeration datatype member memb_no.

Parameters

  type_id | IN: Identifier of datatype.
  membno | IN: The name of the member
  value | OUT: The value of the member

Returns
  a non-negative value if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | value is null.

## ◆ H5Tget_native_type() [1/2]

static synchronized long H5Tget_native_type | ( | long | type_id | ) | throws HDF5LibraryException
| static

H5Tget_native_type returns the equivalent native datatype for the datatype specified in type_id.

Parameters

  type_id | IN: Identifier of datatype to query. Direction of search is assumed to be in ascending order.

Returns
  the native datatype identifier for the specified dataset datatype.

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Tget_native_type() [2/2]

static long H5Tget_native_type | ( | long | type_id,
|  | int | direction ) throws HDF5LibraryException
| static

H5Tget_native_type returns the equivalent native datatype for the datatype specified in type_id.

Parameters

  type_id | IN: Identifier of datatype to query.
  direction | IN: Direction of search.

Returns
  the native datatype identifier for the specified dataset datatype.

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Tget_nmembers()

static synchronized native int H5Tget_nmembers | ( | long | type_id | ) | throws HDF5LibraryException
| static

H5Tget_nmembers retrieves the number of fields a compound datatype has.

Parameters

  type_id | IN: Identifier of datatype to query.

Returns
  number of members datatype has if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Tget_norm()

static synchronized native int H5Tget_norm | ( | long | type_id | ) | throws HDF5LibraryException
| static

H5Tget_norm retrieves the mantissa normalization of a floating-point datatype.

Parameters

  type_id | IN: Identifier of datatype to query.

Returns
  a valid normalization type if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Tget_offset()

static synchronized native int H5Tget_offset | ( | long | type_id | ) | throws HDF5LibraryException
| static

H5Tget_offset retrieves the bit offset of the first significant bit.

Parameters

  type_id | IN: Identifier of datatype to query.

Returns
  a positive offset value if successful; otherwise 0.

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Tget_order()

static synchronized native int H5Tget_order | ( | long | type_id | ) | throws HDF5LibraryException
| static

H5Tget_order returns the byte order of an atomic datatype.

Parameters

  type_id | IN: Identifier of datatype to query.

Returns
  a byte order constant if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Tget_pad()

static synchronized native int H5Tget_pad | ( | long | type_id,
|  | int[] | pad ) throws HDF5LibraryException, NullPointerException
| static

H5Tget_pad retrieves the padding type of the least and most-significant bit padding.

Parameters

  type_id | IN: Identifier of datatype to query.
  pad | OUT: locations to return least-significant and most-significant bit padding type.

         pad[0] = lsb // least-significant bit padding type
         pad[1] = msb // most-significant bit padding type

Returns
  a non-negative value if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | pad is null.

## ◆ H5Tget_precision()

static synchronized native int H5Tget_precision | ( | long | type_id | ) | throws HDF5LibraryException
| static

H5Tget_precision returns the precision of an atomic datatype.

Parameters

  type_id | Identifier of datatype to query.

Returns
  the number of significant bits if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Tget_precision_long()

static synchronized native long H5Tget_precision_long | ( | long | type_id | ) | throws HDF5LibraryException
| static

H5Tget_precision returns the precision of an atomic datatype.

Parameters

  type_id | IN: Identifier of datatype to query.

Returns
  the number of significant bits if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Tget_sign()

static synchronized native int H5Tget_sign | ( | long | type_id | ) | throws HDF5LibraryException
| static

H5Tget_sign retrieves the sign type for an integer type.

Parameters

  type_id | IN: Identifier of datatype to query.

Returns
  a valid sign type if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Tget_size()

static synchronized native long H5Tget_size | ( | long | type_id | ) | throws HDF5LibraryException
| static

H5Tget_size returns the size of a datatype in bytes.

Parameters

  type_id | IN: Identifier of datatype to query.

Returns
  the size of the datatype in bytes

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Tget_strpad()

static synchronized native int H5Tget_strpad | ( | long | type_id | ) | throws HDF5LibraryException
| static

H5Tget_strpad retrieves the string padding method for a string datatype.

Parameters

  type_id | IN: Identifier of datatype to query.

Returns
  a valid string padding type if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Tget_super()

static long H5Tget_super | ( | long | type | ) | throws HDF5LibraryException
| static

H5Tget_super returns the type from which TYPE is derived.

Parameters

  type | IN: Identifier of datatype.

Returns
  the parent type

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Tget_tag()

static synchronized native String H5Tget_tag | ( | long | type | ) | throws HDF5LibraryException
| static

H5Tget_tag returns the tag associated with datatype type_id.

Parameters

  type | IN: Identifier of datatype.

Returns
  the tag

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Tinsert()

static synchronized native int H5Tinsert | ( | long | type_id,
|  | String | name,
|  | long | offset,
|  | long | field_id ) throws HDF5LibraryException, NullPointerException
| static

H5Tinsert adds another member to the compound datatype type_id.

Parameters

  type_id | IN: Identifier of compound datatype to modify.
  name | IN: Name of the field to insert.
  offset | IN: Offset in memory structure of the field to insert.
  field_id | IN: Datatype identifier of the field to insert.

Returns
  a non-negative value if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | name is null.

## ◆ H5Tis_variable_str()

static synchronized native boolean H5Tis_variable_str | ( | long | type_id | ) | throws HDF5LibraryException
| static

H5Tis_variable_str determines whether the datatype identified in type_id is a variable-length string.

Parameters

  type_id | IN: Identifier of datatype to query.

Returns
  true if type_id is a variable-length string.

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Tlock()

static synchronized native int H5Tlock | ( | long | type_id | ) | throws HDF5LibraryException
| static

H5Tlock locks the datatype specified by the type_id identifier, making it read-only and non-destrucible.

Parameters

  type_id | IN: Identifier of datatype to lock.

Returns
  a non-negative value if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Topen()

static long H5Topen | ( | long | loc_id,
|  | String | name,
|  | long | tapl_id ) throws HDF5LibraryException, NullPointerException
| static

H5Topen opens a named datatype at the location specified by loc_id and return an identifier for the datatype.

Parameters

  loc_id | IN: A file, group, or datatype identifier.
  name | IN: A datatype name, defined within the file or group identified by loc_id.
  tapl_id | IN: Datatype access property list.

Returns
  a named datatype identifier if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | name is null.

## ◆ H5Tpack()

static synchronized native int H5Tpack | ( | long | type_id | ) | throws HDF5LibraryException
| static

H5Tpack recursively removes padding from within a compound datatype to make it more efficient (space-wise) to store that data.

WARNING: This call only affects the C-data, even if it succeeds, there may be no visible effect on Java objects.

Parameters

  type_id | IN: Identifier of datatype to modify.

Returns
  a non-negative value if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Treclaim()

static synchronized native void H5Treclaim | ( | long | type_id,
|  | long | space_id,
|  | long | xfer_plist_id,
|  | byte[] | buf ) throws HDF5LibraryException, NullPointerException
| static

H5Treclaim reclaims buffer used for VL data.

Parameters

  type_id | Identifier of the datatype.
  space_id | Identifier of the dataspace.
  xfer_plist_id | Identifier of a transfer property list for this I/O operation.
  buf | Buffer with data to be reclaimed.

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | buf is null.

## ◆ H5Trefresh()

static synchronized native void H5Trefresh | ( | long | dtype_id | ) | throws HDF5LibraryException
| static

H5Trefresh causes all buffers associated with a committed datatype to be cleared and immediately re-loaded with updated contents from disk. This function essentially closes the datatype, evicts all metadata associated with it from the cache, and then re-opens the datatype. The reopened datatype is automatically re-registered with the same ID.

Parameters

  dtype_id | IN: Identifier of the committed datatype to be refreshed.

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Tset_cset()

static synchronized native int H5Tset_cset | ( | long | type_id,
|  | int | cset ) throws HDF5LibraryException
| static

H5Tset_cset the character set to be used.

Parameters

  type_id | IN: Identifier of datatype to modify.
  cset | IN: Character set type.

Returns
  a non-negative value if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Tset_ebias() [1/2]

static int H5Tset_ebias | ( | long | type_id,
|  | int | ebias ) throws HDF5LibraryException
| static

H5Tset_ebias sets the exponent bias of a floating-point type.

Parameters

  type_id | Identifier of datatype to set.
  ebias | Exponent bias value.

Returns
  a non-negative value if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Tset_ebias() [2/2]

static synchronized native void H5Tset_ebias | ( | long | type_id,
|  | long | ebias ) throws HDF5LibraryException
| static

H5Tset_ebias sets the exponent bias of a floating-point type.

Parameters

  type_id | IN: Identifier of datatype to set.
  ebias | IN: Exponent bias value.

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Tset_fields() [1/2]

static int H5Tset_fields | ( | long | type_id,
|  | int | spos,
|  | int | epos,
|  | int | esize,
|  | int | mpos,
|  | int | msize ) throws HDF5LibraryException
| static

H5Tset_fields sets the locations and sizes of the various floating point bit fields.

Parameters

  type_id | Identifier of datatype to set.
  spos | Size position.
  epos | Exponent bit position.
  esize | Size of exponent in bits.
  mpos | Mantissa bit position.
  msize | Size of mantissa in bits.

Returns
  a non-negative value if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Tset_fields() [2/2]

static synchronized native void H5Tset_fields | ( | long | type_id,
|  | long | spos,
|  | long | epos,
|  | long | esize,
|  | long | mpos,
|  | long | msize ) throws HDF5LibraryException
| static

H5Tset_fields sets the locations and sizes of the various floating point bit fields.

Parameters

  type_id | IN: Identifier of datatype to set.
  spos | IN: Size position.
  epos | IN: Exponent bit position.
  esize | IN: Size of exponent in bits.
  mpos | IN: Mantissa bit position.
  msize | IN: Size of mantissa in bits.

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Tset_inpad()

static synchronized native int H5Tset_inpad | ( | long | type_id,
|  | int | inpad ) throws HDF5LibraryException
| static

If any internal bits of a floating point type are unused (that is, those significant bits which are not part of the sign, exponent, or mantissa), then H5Tset_inpad will be filled according to the value of the padding value property inpad.

Parameters

  type_id | IN: Identifier of datatype to modify.
  inpad | IN: Padding type.

Returns
  a non-negative value if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Tset_norm()

static synchronized native int H5Tset_norm | ( | long | type_id,
|  | int | norm ) throws HDF5LibraryException
| static

H5Tset_norm sets the mantissa normalization of a floating-point datatype.

Parameters

  type_id | IN: Identifier of datatype to set.
  norm | IN: Mantissa normalization type.

Returns
  a non-negative value if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Tset_offset() [1/2]

static int H5Tset_offset | ( | long | type_id,
|  | int | offset ) throws HDF5LibraryException
| static

H5Tset_offset sets the bit offset of the first significant bit.

Parameters

  type_id | Identifier of datatype to set.
  offset | Offset of first significant bit.

Returns
  a non-negative value if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Tset_offset() [2/2]

static synchronized native void H5Tset_offset | ( | long | type_id,
|  | long | offset ) throws HDF5LibraryException
| static

H5Tset_offset sets the bit offset of the first significant bit.

Parameters

  type_id | IN: Identifier of datatype to set.
  offset | IN: Offset of first significant bit.

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Tset_order()

static synchronized native int H5Tset_order | ( | long | type_id,
|  | int | order ) throws HDF5LibraryException
| static

H5Tset_order sets the byte ordering of an atomic datatype.

Parameters

  type_id | IN: Identifier of datatype to set.
  order | IN: Byte ordering constant.

Returns
  a non-negative value if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Tset_pad()

static synchronized native int H5Tset_pad | ( | long | type_id,
|  | int | lsb,
|  | int | msb ) throws HDF5LibraryException
| static

H5Tset_pad sets the least and most-significant bits padding types.

Parameters

  type_id | IN: Identifier of datatype to set.
  lsb | IN: Padding type for least-significant bits.
  msb | IN: Padding type for most-significant bits.

Returns
  a non-negative value if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Tset_precision() [1/2]

static int H5Tset_precision | ( | long | type_id,
|  | int | precision ) throws HDF5LibraryException
| static

H5Tset_precision sets the precision of an atomic datatype.

Parameters

  type_id | Identifier of datatype to set.
  precision | Number of bits of precision for datatype.

Returns
  a non-negative value if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Tset_precision() [2/2]

static synchronized native void H5Tset_precision | ( | long | type_id,
|  | long | precision ) throws HDF5LibraryException
| static

H5Tset_precision sets the precision of an atomic datatype.

Parameters

  type_id | IN: Identifier of datatype to set.
  precision | IN: Number of bits of precision for datatype.

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Tset_sign()

static synchronized native int H5Tset_sign | ( | long | type_id,
|  | int | sign ) throws HDF5LibraryException
| static

H5Tset_sign sets the sign property for an integer type.

Parameters

  type_id | IN: Identifier of datatype to set.
  sign | IN: Sign type.

Returns
  a non-negative value if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Tset_size()

static synchronized native int H5Tset_size | ( | long | type_id,
|  | long | size ) throws HDF5LibraryException
| static

H5Tset_size sets the total size in bytes, size, for an atomic datatype (this operation is not permitted on compound datatypes).

Parameters

  type_id | IN: Identifier of datatype to change size.
  size | IN: Size in bytes to modify datatype.

Returns
  a non-negative value if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Tset_strpad()

static synchronized native int H5Tset_strpad | ( | long | type_id,
|  | int | strpad ) throws HDF5LibraryException
| static

H5Tset_strpad defines the storage mechanism for the string.

Parameters

  type_id | IN: Identifier of datatype to modify.
  strpad | IN: String padding type.

Returns
  a non-negative value if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Tset_tag()

static synchronized native int H5Tset_tag | ( | long | type,
|  | String | tag ) throws HDF5LibraryException
| static

H5Tset_tag tags an opaque datatype type_id with a unique ASCII identifier tag.

Parameters

  type | IN: Datatype identifier for the opaque datatype to be tagged.
  tag | IN: Descriptive ASCII string with which the opaque datatype is to be tagged.

Returns
  a non-negative value if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Tvlen_create()

static long H5Tvlen_create | ( | long | base_id | ) | throws HDF5LibraryException
| static

H5Tvlen_create creates a new variable-length (VL) datatype.

Parameters

  base_id | IN: Identifier of parent datatype.

Returns
  a non-negative value if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.